<?php

namespace FiloBlu\CheckoutExtend\Observer;

use Magento\Framework\Event\ObserverInterface;

class OnePageControllerSuccessAction implements ObserverInterface {

    protected $session;

    public function __construct(\Magento\Customer\Model\Session $customerSession) {
        $this->session = $customerSession;
    }

    public function execute(\Magento\Framework\Event\Observer $observer) {

        if ($customerId = $this->session->getCustomerMustLogin()) {
            $this->session->loginById($customerId);
            $this->session->setCustomerMustLogin(null);
        }
    }

}
